# Gst::EventLatency Class Reference

A latency event. More...

`#include <event.h>`

Inheritance diagram for Gst::EventLatency:

List of all members.

## Public Member Functions
| EventLatency (GstEvent* event)
void | parse (ClockTime& latency) const
| Get the latency in the latency event.
## Static Public Member Functions
static Glib::RefPtr<Gst::Event> | create (ClockTime latency)
| Create a new latency event.

## Detailed Description

A latency event.

See create() for more details.

## Constructor& Destructor Documentation

Gst::EventLatency::EventLatency | ( | GstEvent * | event | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Event> Gst::EventLatency::create | ( | ClockTime | latency | ) | `[static]`

Create a new latency event.

The event is sent upstream from the sinks and notifies elements that they should add an additional latency to the timestamps before synchronising against the clock.

The latency is mostly used in live sinks and is always expressed in the time format.

Parameters:

  | latency | The new latency value.

Returns:
  A new Gst::EventLatency.

Since 0.10.12

void Gst::EventLatency::parse | ( | ClockTime& | latency | ) | const

Get the latency in the latency event.

Parameters:

  | latency | A pointer to store the latency in.

The documentation for this class was generated from the following file:

- event.h